# $Revision: 1.8 $, $Date: 2004/11/26 01:32:18 $
Summary:	ne, the nice editor
Summary(pl):	ne - ciekawy edytor tekstu
Name:		ne
Version:	1.39
Release:	1
License:	GPL
Group:		Applications/Editors
Source0:	http://ne.dsi.unimi.it/%{name}-%{version}.tar.gz
# Source0-md5:	316050979559dc18336dd592389c27cf
URL:		http://ne.dsi.unimi.it/
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ne is a free (GPL'd) text editor based on the POSIX standard that runs
(we hope) on almost any UN*X machine. ne is easy to use for the
beginner, but powerful and fully configurable for the wizard, and most
sparing in its resource usage. If you have the resources and the
patience to use emacs or the right mental twist to use vi then
probably ne is not for you. However, being fast, small, powerful and
simple to use, ne is ideal for email, editing through phone line (or
slow GSM/GPRS) connections and so on. Moreover, the internal text
representation is very compact--you can easily load and modify very
large files.

%description -l pl
ne jest wolnym (na licencji GPL) edytorem tekstu bazujcym na
standardzie POSIX ktry mona uruchomi na prawie kadej maszynie
UN*Xowej. ne jest atwy do uycia dla pocztkujcych, ale potny i
atwo konfigurowalny dla czarodziejw, oraz oszczdny w uyciu
zasobw. Jeeli masz zasoby aby uy emacsa lub potrzeb korzystania z
vi, wtedy ne prawdopodobnie nie jest dla ciebie. Mimo to, bdc
szybkim, maym, potnym i atwym w uyciu jest idealny dla poczty,
edycji poprzez linie telefoniczne (lub wolny GSM/GPRS) itp. Co wicej,
wewntrzna reprezentacja tekstu jest bardzo skondensowana - moesz
atwo odczytywa i modyfikowa nawet bardzo due pliki.

%prep
%setup -q

%build
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="-D_POSIX_C_SOURCE=199506L -DNODEBUG %{rpmcflags} -I%{_includedir}/ncurses" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_mandir}/man1}

install -m 755 ./src/ne $RPM_BUILD_ROOT%{_bindir}/ne
install doc/ne.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/ne.info* $RPM_BUILD_ROOT%{_infodir}
rm -f doc/ne.1 doc/ne.info*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES terms
%attr(755,root,root) %{_bindir}/ne
%{_mandir}/man?/ne.1*
%{_infodir}/ne.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ne.spec,v $
Revision 1.8  2004/11/26 01:32:18  undefine
- up to 1.39

Revision 1.7  2004/09/27 12:47:28  djurban
- updated to 1.38 stbring

Revision 1.6  2004/09/24 15:14:54  paladine
- updated to 1.37
- added URL

Revision 1.5  2004/08/22 17:39:20  adamg
- updated to 1.36

Revision 1.4  2004/07/20 18:49:24  qboosh
- typo, cosmetics

Revision 1.3  2004/07/19 23:17:38  undefine
- release 2 for AC

Revision 1.2  2004/07/19 23:16:36  undefine
- BR: ncurses-devel

Revision 1.1  2004/07/19 20:07:45  undefine
- initital pld version

* Sat Jun 26 2004 Sebastiano Vigna <vigna@dsi.unimi.it> 1.34
- 8-bit local-dependent casing.
* Sat May 1 2004 Sebastiano Vigna <vigna@dsi.unimi.it> 1.33
- Fixed screen update problem.
* Sat Apr 17 2004 Sebastiano Vigna <vigna@dsi.unimi.it> 1.32
- Fixed UTF-8 whitespace/punctuation and screen update problem.
* Mon Apr 05 2004 Sebastiano Vigna <vigna@dsi.unimi.it> 1.31
- Fixed problem with makefile variables.
* Fri Apr 02 2004 Sebastiano Vigna <vigna@dsi.unimi.it> 1.30
- Major rewriting of all components to support UTF-8.
* Sat Oct 28 2000 Sebastiano Vigna <vigna@dsi.unimi.it>
- New release, with a few bug fixes
* Fri Mar 31 2000 Sebastiano Vigna <vigna@dsi.unimi.it>
- Special build for systems with old ncurses
* Tue Jun 1 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Final distribution for general consumption
* Mon May 31 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Info pages are now gzip'd and go to /usr/info
* Thu May 27 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Added man page, made turbo parameter global
* Wed May 26 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Minor modifications to the documentation
* Tue May 25 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Second ne RPM for version 1.17; now requires glibc
* Thu Oct 29 1998 Sebastiano Vigna <vigna@dsi.unimi.it>
- First ne RPM
